Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.common.core
Class OutSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.core.OutSupport

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

Direct Known Subclasses:
  OutTag, OutTag

    public class OutSupport

extends BodyTagSupport

Support for handlers of the <out> tag, which simply evalutes and prints the result of the expression it's passed. If the result is null, we print the value of the 'default' attribute's expression or our body (which two are mutually exclusive, although this constraint is enforced outside this handler, in our TagLibraryValidator).

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary
`protected String` | `def`
`protected boolean` | `escapeXml`
`protected Object` | `value`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`OutSupport()` Constructs a new handler.

Method Summary
`int` | `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
`int` | `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`static void` | `out(PageContext pageContext, boolean escapeXml, Object obj)` Outputs `text` to `pageContext`'s current JspWriter.
`void` | `release()` Release state.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### value

    protected Object value

### def

    protected String def

### escapeXml

    protected boolean escapeXml

Constructor Detail

### OutSupport

    public OutSupport()

  Constructs a new handler. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor.

Method Detail

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`
  See Also:
    `Tag.release()`

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the end tag returning EVAL_PAGE.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doEndTag()`

### out

    public static void out(PageContext pageContext,
                           boolean escapeXml,
                           Object obj)
                    throws IOException

  Outputs `text` to `pageContext`'s current JspWriter. If `escapeXml` is true, performs the following substring replacements (to facilitate output to XML/HTML pages): & -> & < -> < > -> > " -> " ' -> ' See also Util.escapeXml().

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.